BooleanSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.serializers

## Class BooleanSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.BooleanSerializer

- All Implemented Interfaces:
    TypeSerializer<java.lang.Boolean>

      public class BooleanSerializer
      extends java.lang.Object
      implements TypeSerializer<java.lang.Boolean>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BooleanSerializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `deserialize(java.nio.ByteBuffer bytes)`
    `java.lang.Class<java.lang.Boolean>` | `getType()`
    `java.nio.ByteBuffer` | `serialize(java.lang.Boolean value)`
    `java.lang.String` | `toString(java.lang.Boolean value)`
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final BooleanSerializer instance

  - ### Constructor Detail

    - #### BooleanSerializer

          public BooleanSerializer()

  - ### Method Detail

    - #### deserialize

          public java.lang.Boolean deserialize(java.nio.ByteBuffer bytes)

      Specified by:
        `deserialize` in interface `TypeSerializer<java.lang.Boolean>`

    - #### serialize

          public java.nio.ByteBuffer serialize(java.lang.Boolean value)

      Specified by:
        `serialize` in interface `TypeSerializer<java.lang.Boolean>`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<java.lang.Boolean>`
      Throws:
        `MarshalException`

    - #### toString

          public java.lang.String toString(java.lang.Boolean value)

      Specified by:
        `toString` in interface `TypeSerializer<java.lang.Boolean>`

    - #### getType

          public java.lang.Class<java.lang.Boolean> getType()

      Specified by:
        `getType` in interface `TypeSerializer<java.lang.Boolean>`

Copyright © 2018 The Apache Software Foundation